# Method: projects.settings.list

- [HTTP request](https://developers.google.com/resource-settings/docs/reference/rest/v1alpha1/projects.settings/list#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/resource-settings/docs/reference/rest/v1alpha1/projects.settings/list#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/resource-settings/docs/reference/rest/v1alpha1/projects.settings/list#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/resource-settings/docs/reference/rest/v1alpha1/projects.settings/list#body.request_body)
- [Response body](https://developers.google.com/resource-settings/docs/reference/rest/v1alpha1/projects.settings/list#body.response_body)
- [Authorization Scopes](https://developers.google.com/resource-settings/docs/reference/rest/v1alpha1/projects.settings/list#body.aspect)

Lists all the settings that are available on the Cloud resource `parent`.

### HTTP request

`GET https://resourcesettings.googleapis.com/v1alpha1/{parent=projects/*}/settings`

The URL uses [gRPC Transcoding](https://github.com/googleapis/googleapis/blob/master/google/api/http.proto) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` The Cloud resource that parents the setting. Must be in one of the following forms: - `projects/{project_number}` - `projects/{project_id}` - `folders/{folder_id}` - `organizations/{organization_id}` Authorization requires the following [IAM](https://cloud.google.com/iam/docs/) permission on the specified resource `parent`: - `resourcesettings.settings.list` |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` Unused. The size of the page to be returned. |
| `pageToken` | `string` Unused. A page token used to retrieve the next page. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://developers.google.com/resource-settings/docs/reference/rest/v1alpha1/ListSettingsResponse`.

### Authorization Scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://cloud.google.com/docs/authentication/).